Skip to main content

Devices

List active devices​

GET /v1/devices

Scope: devices:read

Parameters

NameInTypeRequiredDescription
cursorquerystring
limitquerystring
statusquery"online" | "offline"

Responses

StatusDescription
200A page of devices.

Fields of the 200 response:

FieldTypeRequiredDescription
dataobject[]yes
data[].idstringyes
data[].namestringyes
data[].groupIdstring | nullyes
data[].osstringyes
data[].archstringyes
data[].agentVersionstringyes
data[].status"online" | "offline"yes
data[].activatedbooleanyes
data[].lastSeenAtstring | nullyes
data[].createdAtstringyesISO 8601 date-time
nextCursorstring | nullyesPass as ?cursor= for the next page
curl "https://api.jodaprint.dev/v1/devices" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"

Get a device​

GET /v1/devices/{id}

Scope: devices:read

Parameters

NameInTypeRequiredDescription
idpathstringyes

Responses

StatusDescription
200The device.

Fields of the 200 response:

FieldTypeRequiredDescription
idstringyes
namestringyes
groupIdstring | nullyes
osstringyes
archstringyes
agentVersionstringyes
status"online" | "offline"yes
activatedbooleanyes
lastSeenAtstring | nullyes
createdAtstringyesISO 8601 date-time
curl "https://api.jodaprint.dev/v1/devices/<id>" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"